package com.ruoyi.brewery.mapper;

import java.util.List;

import com.ruoyi.brewery.domain.PopularStyleVO;
import com.ruoyi.brewery.domain.WyBeer;

/**
 * 啤酒Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface WyBeerMapper 
{
    /**
     * 查询啤酒
     * 
     * @param id 啤酒主键
     * @return 啤酒
     */
    public WyBeer selectWyBeerById(Long id);
    public Integer selectBeerCount();

    /**
     * 查询啤酒列表
     * 
     * @param wyBeer 啤酒
     * @return 啤酒集合
     */
    public List<WyBeer> selectWyBeerList(WyBeer wyBeer);

    /**
     * 新增啤酒
     * 
     * @param wyBeer 啤酒
     * @return 结果
     */
    public int insertWyBeer(WyBeer wyBeer);

    /**
     * 修改啤酒
     * 
     * @param wyBeer 啤酒
     * @return 结果
     */
    public int updateWyBeer(WyBeer wyBeer);

    /**
     * 删除啤酒
     * 
     * @param id 啤酒主键
     * @return 结果
     */
    public int deleteWyBeerById(Long id);

    /**
     * 批量删除啤酒
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBeerByIds(Long[] ids);

    public List<WyBeer> seleteWyBeerByIds(Long[] ids);

    public List<PopularStyleVO> selectPopularStyles();
}
